output_directory = "/home/nixworker/persist/nix_builder"

[[targets]]
  name = "odo"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "nix"
  path = "nix/configuration"
  attr = "nixosConfigurations.odo.config.system.build.toplevel"

[[targets]]
  name = "odo_update"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "nix"
  path = "nix/configuration"
  attr = "nixosConfigurations.odo.config.system.build.toplevel"
  update = true
  update_branch = "nix_update"

[[targets]]
  name = "odowork"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "nix"
  path = "nix/configuration"
  attr = "nixosConfigurations.odowork.config.system.build.toplevel"

[[targets]]
  name = "odowork_update"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "nix"
  path = "nix/configuration"
  attr = "nixosConfigurations.odowork.config.system.build.toplevel"
  update = true
  update_branch = "nix_update"

[[targets]]
  name = "quark"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "nix"
  path = "nix/configuration"
  attr = "nixosConfigurations.quark.config.system.build.toplevel"

[[targets]]
  name = "quark_update"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "nix"
  path = "nix/configuration"
  attr = "nixosConfigurations.quark.config.system.build.toplevel"
  update = true
  update_branch = "nix_update"

[[targets]]
  name = "hydra"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "nix"
  path = "nix/configuration"
  attr = "hydra.vm_iso"

[[targets]]
  name = "hydra_update"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "nix"
  path = "nix/configuration"
  attr = "hydra.vm_iso"
  update = true
  update_branch = "nix_update"

[[targets]]
  name = "controller0"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "kubernetes"
  path = "nix/kubernetes"
  attr = "controller0.vm_iso"

[[targets]]
  name = "controller0_update"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "kubernetes"
  path = "nix/kubernetes"
  attr = "controller0.vm_iso"
  update = true
  update_branch = "kubernetes_update"

[[targets]]
  name = "controller1"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "kubernetes"
  path = "nix/kubernetes"
  attr = "controller1.vm_iso"

[[targets]]
  name = "controller1_update"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "kubernetes"
  path = "nix/kubernetes"
  attr = "controller1.vm_iso"
  update = true
  update_branch = "kubernetes_update"

[[targets]]
  name = "controller2"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "kubernetes"
  path = "nix/kubernetes"
  attr = "controller2.vm_iso"

[[targets]]
  name = "controller2_update"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "kubernetes"
  path = "nix/kubernetes"
  attr = "controller2.vm_iso"
  update = true
  update_branch = "kubernetes_update"

[[targets]]
  name = "worker0"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "kubernetes"
  path = "nix/kubernetes"
  attr = "worker0.vm_iso"

[[targets]]
  name = "worker0_update"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "kubernetes"
  path = "nix/kubernetes"
  attr = "worker0.vm_iso"
  update = true
  update_branch = "kubernetes_update"

[[targets]]
  name = "worker1"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "kubernetes"
  path = "nix/kubernetes"
  attr = "worker1.vm_iso"

[[targets]]
  name = "worker1_update"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "kubernetes"
  path = "nix/kubernetes"
  attr = "worker1.vm_iso"
  update = true
  update_branch = "kubernetes_update"

[[targets]]
  name = "worker2"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "kubernetes"
  path = "nix/kubernetes"
  attr = "worker2.vm_iso"

[[targets]]
  name = "worker2_update"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "kubernetes"
  path = "nix/kubernetes"
  attr = "worker2.vm_iso"
  update = true
  update_branch = "kubernetes_update"

# TODO: Add steam deck

[[targets]]
  name = "family_disks"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "family_disks"
  path = "nix/configuration"
  attr = "nixosConfigurations.family_disks.config.system.build.toplevel"

[[targets]]
  name = "family_disks_update"
  repo = "https://code.fizz.buzz/talexander/machine_setup.git"
  branch = "family_disks"
  path = "nix/configuration"
  attr = "nixosConfigurations.family_disks.config.system.build.toplevel"
  update = true
  update_branch = "nix_update"

[[targets]]
  name = "nixbsd"
  repo = "https://github.com/nixos-bsd/nixbsd.git"
  revision = "828ff7a3c4ee91f548de65a963fca40eaedb171c"
  path = "."
  attr = "base.vmClosureInfo"
